StatGenStatus Class Reference

This class is used to track the status results of some methods in the BAM classes. More...

`#include <StatGenStatus.h>`

## Public Types

enum | Status { SUCCESS = 0, UNKNOWN, NO_MORE_RECS, FAIL_IO, FAIL_ORDER, FAIL_PARSE, INVALID_SORT, INVALID, FAIL_MEM }
| Return value enum for StatGenFile methods. More...

## Public Member Functions

| StatGenStatus (ErrorHandler::HandlingType handleType=ErrorHandler::EXCEPTION)
| Constructor that takes in the handling type, defaulting it to exception.
| ~StatGenStatus ()
| Destructor.
void | reset ()
| Reset this status to a default state.
void | setHandlingType (ErrorHandler::HandlingType handleType)
| Set how to handle the errors when they are set.
void | setStatus (Status newStatus, const char *newMessage)
| Set the status with the specified status enum and message.
void | addError (Status newStatus, const char *newMessage)
| Add the specified error message to the status message, setting the status to newStatus if the current status is SUCCESS.
void | addError (StatGenStatus newStatus)
| Add the specified status to the status message, setting the status to newStatus if the current status is SUCCESS.
Status | getStatus () const
| Return the enum for this status object.
const char * | getStatusMessage () const
| Return the status message for this object.
StatGenStatus & | operator= (Status newStatus)
| Overload operator = to set the StatGen status type to the passed in status and to clear the message string.
StatGenStatus & | operator= (StatGenStatus newStatus)
| Overload operator = to copy the specified status object to this one.
bool | operator!= (const StatGenStatus::Status &compStatus) const
| Overload operator != to determine if the passed in type is not equal to this status's type.
bool | operator== (const StatGenStatus::Status &compStatus) const
| Overload operator == to determine if the passed in type is equal to this status's type.

## Static Public Member Functions

static const char * | getStatusString (StatGenStatus::Status statusEnum)
| Return a string representation of the passed in status enum.
static bool | isContinuableStatus (StatGenStatus::Status status)
| Returns whether or not it is "safe" to keep processing the file after the specified status return.

## Detailed Description

This class is used to track the status results of some methods in the BAM classes.

It contains a status enum that describing the status.

Definition at line 26 of file StatGenStatus.h.

## Member Enumeration Documentation

## Status

enum StatGenStatus::Status

Return value enum for StatGenFile methods.

Enumerator
SUCCESS | method completed successfully.
UNKNOWN | unknown result (default value should never be used)
NO_MORE_RECS | NO_MORE_RECS: failed to read a record since there are no more to read either in the file or section if section based reading.
FAIL_IO | method failed due to an I/O issue.
FAIL_ORDER | FAIL_ORDER: method failed because it was called out of order, like trying to read a file without opening it for read or trying to read a record before the header.
FAIL_PARSE | failed to parse a record/header - invalid format.
INVALID_SORT | record is invalid due to it not being sorted.
INVALID | invalid other than for sorting.
FAIL_MEM | fail a memory allocation.

Definition at line 31 of file StatGenStatus.h.

{ SUCCESS = 0, ///< method completed successfully.
UNKNOWN, ///< unknown result (default value should never be used)
/// NO_MORE_RECS: failed to read a record since there are no more to
/// read either in the file or section if section based reading.
NO_MORE_RECS,
FAIL_IO, ///< method failed due to an I/O issue.
/// FAIL_ORDER: method failed because it was called out of order,
/// like trying to read a file without opening it for read or trying
/// to read a record before the header.
FAIL_ORDER,
FAIL_PARSE, ///< failed to parse a record/header - invalid format.
INVALID_SORT, ///< record is invalid due to it not being sorted.
INVALID, ///< invalid other than for sorting.
FAIL_MEM ///< fail a memory allocation.
};

The documentation for this class was generated from the following files:

- general/StatGenStatus.h
- general/StatGenStatus.cpp

StatGenStatus::INVALID
invalid other than for sorting.
Definition: StatGenStatus.h:44
StatGenStatus::NO_MORE_RECS
NO_MORE_RECS: failed to read a record since there are no more to read either in the file or section i...
Definition: StatGenStatus.h:36
StatGenStatus::SUCCESS
method completed successfully.
Definition: StatGenStatus.h:32
StatGenStatus::FAIL_PARSE
failed to parse a record/header - invalid format.
Definition: StatGenStatus.h:42
StatGenStatus::FAIL_MEM
fail a memory allocation.
Definition: StatGenStatus.h:45
StatGenStatus::INVALID_SORT
record is invalid due to it not being sorted.
Definition: StatGenStatus.h:43
StatGenStatus::FAIL_IO
method failed due to an I/O issue.
Definition: StatGenStatus.h:37
StatGenStatus::FAIL_ORDER
FAIL_ORDER: method failed because it was called out of order, like trying to read a file without open...
Definition: StatGenStatus.h:41
StatGenStatus::UNKNOWN
unknown result (default value should never be used)
Definition: StatGenStatus.h:33